# Generated by Django 4.0.5 on 2022-06-03 15:07

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Option",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(max_length=100, verbose_name="Вариант ответа"),
                ),
                (
                    "score",
                    models.IntegerField(default=0, verbose_name="Количество баллов"),
                ),
            ],
            options={
                "verbose_name": "Вариант ответа",
                "verbose_name_plural": "Варианты ответа",
            },
        ),
        migrations.CreateModel(
            name="Patient",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=100, verbose_name="ФИО")),
                ("date_of_birth", models.DateField(verbose_name="Дата рождения")),
                (
                    "gender",
                    models.CharField(
                        choices=[("Мужской", "Мужской"), ("Женский", "Женский")],
                        default="Мужской",
                        max_length=7,
                        verbose_name="Пол",
                    ),
                ),
                (
                    "insurance",
                    models.CharField(
                        blank=True, max_length=100, verbose_name="Страховая организация"
                    ),
                ),
                (
                    "policy",
                    models.CharField(
                        blank=True,
                        max_length=100,
                        verbose_name="Страховое свидетельство",
                    ),
                ),
                (
                    "address",
                    models.CharField(
                        blank=True, max_length=100, verbose_name="Домашний адрес"
                    ),
                ),
                (
                    "phone_number",
                    models.CharField(
                        blank=True, max_length=100, verbose_name="Номер телефона"
                    ),
                ),
                (
                    "email",
                    models.EmailField(
                        blank=True, max_length=100, verbose_name="Электронная почта"
                    ),
                ),
                (
                    "parent_name",
                    models.CharField(
                        blank=True, max_length=100, verbose_name="ФИО родителя"
                    ),
                ),
                (
                    "parent_phone_number",
                    models.CharField(
                        blank=True,
                        max_length=100,
                        verbose_name="Номер телефона родителя",
                    ),
                ),
                (
                    "parent_email",
                    models.EmailField(
                        blank=True,
                        max_length=100,
                        verbose_name="Электронная почта родителя",
                    ),
                ),
                (
                    "nation",
                    models.CharField(
                        choices=[
                            ("Русский", "Русский"),
                            ("Украинец", "Украинец"),
                            ("Немец", "Немец"),
                            ("Казах", "Казах"),
                            ("Белорус", "Белорус"),
                            ("Алтаец", "Алтаец"),
                            ("Кумандинец", "Кумандинец"),
                            ("Татарин", "Татарин"),
                            ("Другая", "Другая"),
                        ],
                        default="Русский",
                        max_length=10,
                        verbose_name="Национальность",
                    ),
                ),
                (
                    "mother_nation",
                    models.CharField(
                        choices=[
                            ("Русский", "Русский"),
                            ("Украинец", "Украинец"),
                            ("Немец", "Немец"),
                            ("Казах", "Казах"),
                            ("Белорус", "Белорус"),
                            ("Алтаец", "Алтаец"),
                            ("Кумандинец", "Кумандинец"),
                            ("Татарин", "Татарин"),
                            ("Другая", "Другая"),
                        ],
                        default="Русский",
                        max_length=10,
                        verbose_name="Национальность матери",
                    ),
                ),
                (
                    "father_nation",
                    models.CharField(
                        choices=[
                            ("Русский", "Русский"),
                            ("Украинец", "Украинец"),
                            ("Немец", "Немец"),
                            ("Казах", "Казах"),
                            ("Белорус", "Белорус"),
                            ("Алтаец", "Алтаец"),
                            ("Кумандинец", "Кумандинец"),
                            ("Татарин", "Татарин"),
                            ("Другая", "Другая"),
                        ],
                        default="Русский",
                        max_length=10,
                        verbose_name="Национальность отца",
                    ),
                ),
                (
                    "date_registration",
                    models.DateField(
                        auto_now_add=True, verbose_name="Дата регистрации"
                    ),
                ),
            ],
            options={
                "verbose_name": "Пациент",
                "verbose_name_plural": "Пациенты",
            },
        ),
        migrations.CreateModel(
            name="Question",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "question_text",
                    models.CharField(max_length=100, verbose_name="Текст вопроса"),
                ),
            ],
            options={
                "verbose_name": "Вопрос",
                "verbose_name_plural": "Вопросы",
            },
        ),
        migrations.CreateModel(
            name="PatientAnswer",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "option",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="amscapp.option"
                    ),
                ),
                (
                    "patient",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="amscapp.patient",
                    ),
                ),
                (
                    "question",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="amscapp.question",
                    ),
                ),
            ],
            options={
                "verbose_name": "Ответ анкеты",
                "verbose_name_plural": "Ответ анкеты",
            },
        ),
        migrations.AddField(
            model_name="option",
            name="question",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="amscapp.question"
            ),
        ),
    ]
